Bug 798667 - Missing desktop icons
Missing desktop icons
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F17Blocker/F17FinalBlocker
  Show dependency treegraph
 
Reported: 2012-02-29 09:37 EST by Petr Schindler
Modified: 2012-03-06 15:38 EST (History)
7 users (show)

See Also:
Fixed In Version: libreoffice-3.5.1.1-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 15:38:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Schindler 2012-02-29 09:37:21 EST
Description of problem:
There are missing icons of libreoffice in application menu (in activities)

Desktop files have defined 'Icon=' correctly, but in icon files there are wrongly named files (they contain version number).

Example: in libreoffice-writer.desktop, there is line
Icon=libreoffice-writer
but in icons/hicolor/YZxYZ/apps/ there is
libreoffice3.5-writer.png

Version-Release number of selected component (if applicable):
3.5.0.3-5.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install from Alpha RC4 - there aren't icons for libreoffice on desktop
  
Actual results:
Icons are missing on launcher and in applications menu

Expected results:
There should be icons for libre office

Additional info:
Comment 1 Petr Schindler 2012-02-29 09:41:09 EST
I propose this bug as a final blocker. It violates the criterion "Menu sanity - All Applications listed in the system menus (or equivalent) must have icons which have a consistent appearance and sufficiently high resolution to avoid appearing blurry"
Comment 2 Caolan McNamara 2012-02-29 10:05:00 EST
hmm, icon names *seem* to have changed from an upstream XY pattern to a X.Y pattern so the rename to be unversioned came unstuck
Comment 3 Fedora Update System 2012-03-01 08:32:28 EST
libreoffice-3.5.1.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.1.1-2.fc17
Comment 4 Tom Horsley 2012-03-01 18:32:25 EST
I see this too after installing from fedora 17 alpha DVD. There is a large
collection of apps with missing icons in the applications browser:

Akonaditray, Ark, BlueDevil, Jovie, all the LibreOffice apps,
Panaroma, Swell Foop. (Might have missed some).
Comment 5 Fedora Update System 2012-03-01 20:00:35 EST
Package libreoffice-3.5.1.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.1.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2826/libreoffice-3.5.1.1-2.fc17
then log in and leave karma (feedback).
Comment 6 Petr Schindler 2012-03-02 03:29:10 EST
Thanks, icons have right names now and they are in the menu.
Comment 7 Fedora Update System 2012-03-06 15:38:16 EST
libreoffice-3.5.1.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.